package icfp2001;

import java.io.*;

public class Tester 
{

    public static void main(String vArgs[])
    {
        try
        {
            IcfpParser vParser;
            
            if (vArgs.length > 0)
            {
                vParser = new IcfpParser(new FileInputStream(vArgs[0]));
            } 
            else 
            {
                vParser = new IcfpParser(System.in);
            }

            RootNode vNode = (RootNode)vParser.rootNode();

            ContextFiller vFiller = new ContextFiller();
            vFiller.visitRootNode(vNode);
            
            NodeWriter vWriter = new NodeWriter(System.out);
            NodeContextWriter vNCWriter = new NodeContextWriter(System.out);

            vWriter.visitRootNode(vNode);
            vNCWriter.visitRootNode(vNode);
        }
        catch (Exception vException)
        {
            vException.printStackTrace();
        }
    }
}
