package icfp2001;


public class Cost implements NodeVisitor
{
    protected int mTotal = 0;

    public static Cost sInstance = new Cost();

    public static int calc(Node pNode)
    {
        sInstance.mTotal = 0;

        pNode.accept(sInstance);

        return sInstance.mTotal;
    }

    public Object visitTextNode(TextNode pTextNode) 
    {
        return null;
    }

    public Object visitWhiteSpaceNode(WhiteSpaceNode pWhiteSpaceNode) 
    {
        return null;
    }

    public Object visitTagNode(TagNode pTagNode)
    {
        sInstance.mTotal += pTagNode.cost();
        visitChildren(pTagNode);
        return null;
    }


    public Object visitRootNode(RootNode pRootNode)
    {
        visitChildren(pRootNode);
        return null;
    }

    protected void visitChildren(Node pNode)
    {
        for (int i = 0; i < pNode.numChildren(); i++)
        {
            pNode.getChild(i).accept(this);
        }
    }
    
}
