package icfp2001;

/**
 * A Node which contains whitespace
 *
 */
public class WhiteSpaceNode extends TextNode {

    /**
     * Creates a new WhiteSpaceNode
     *
     * @param pText the desired contents of the new node
     */
    public WhiteSpaceNode(String pText) {
        super(pText);
    }

    public Object accept(NodeVisitor pVisitor)
    {
        return pVisitor.visitWhiteSpaceNode(this);
    }

}
